#
# .hugo_release_publish.yml
#
# Publiceren van (laatst) gereleasede HUGO SSG content naar GitLab Pages Site
#

stages:
- publish

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  CONTENT_SERVER_URL: $CI_SERVER_URL
  CONTENT_GROUP_NAMESPACE: '${CI_PROJECT_ROOT_NAMESPACE}/contentbeheer'
  CONTENT_PROJECT_NAME: $CI_PROJECT_NAME
  CONTENT_RELEASE: 'latest'
  BASE_URL: $CI_PAGES_URL

pages:
  image: registry.gitlab.com/pages/hugo/hugo_extended:latest    
  stage: publish
  before_script:
  #
  # Haal laatste (commited) versie op van submodule repositories (template)
  #
  - apk --no-cache add git
  - git submodule update --recursive --remote
  #
  # Download and Unpack the HUGO Release Source (configuration and content)
  #
  - 'wget --header "PRIVATE-TOKEN: ${GITLAB_TOKEN}" ${CONTENT_SERVER_URL}/${CONTENT_GROUP_NAMESPACE}/${CONTENT_PROJECT_NAME}/-/archive/${CONTENT_RELEASE}/${CONTENT_PROJECT_NAME}-${CONTENT_RELEASE}.zip'
  - unzip ${CONTENT_PROJECT_NAME}-${CONTENT_RELEASE}.zip
  - mv -n ${CONTENT_PROJECT_NAME}-${CONTENT_RELEASE}/** .
  script:
  #
  # Generate HUGO HTML to Publish GitLab Pages Site
  #
  - echo "baseURL = '$BASE_URL'" >> config/$CI_JOB_NAME/config.toml
  - echo "title = '$CI_PROJECT_TITLE($CONTENT_RELEASE)'" >> config/$CI_JOB_NAME/config.toml
  - hugo config --environment $CI_JOB_NAME
  - hugo --environment $CI_JOB_NAME
  artifacts:
    paths:
    - public
  only:
  - web
